﻿using Syncfusion.SfCalendar.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace CalendarEvents
{
    class CalendarBehavior:Behavior<ContentPage>
    {
        ObservableCollection<CalendarModel> calendarModels;

        public CalendarEventCollection CalendarInlineEvents { get; set; } = new CalendarEventCollection();

        SfCalendar calendar;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            calendar = bindable.FindByName<SfCalendar>("calendar");

            this.FillCalendarEvents();
        }
        public async Task FillCalendarEvents()
        {
            calendarModels = await this.GetCalendarEvents();
            CalendarInlineEvent events = new CalendarInlineEvent();
            List<CalendarModel> appointmentList = new List<CalendarModel>();
            foreach (var item in calendarModels)
            {
                events.StartTime = item.EventStartDate;
                events.EndTime = item.EventEndDate;
                events.Subject = item.EventName;
                events.Color = Color.Red;

                CalendarInlineEvents.Add(events);
            }
            calendar.DataSource = CalendarInlineEvents;
        }

        public async Task<ObservableCollection<CalendarModel>> GetCalendarEvents()
        {
            var models = new ObservableCollection<CalendarModel>();
            for(int i =0; i< 10;i++)
            {
                models.Add(new CalendarModel());
            }
            return models;
        }
    }
}
